### Class

# Camel VeeSummary

#### Description

    class Camel.VeeSummary : Camel.FolderSummary
    {
      CamelVeeSummaryPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- CamelFolderSummary
- GObject

#### Constructors

###### camel_vee_summary_new

This will create a new CamelVeeSummary object and read in the summary data from disk, if it exists.

#### Instance methods

###### camel_vee_summary_add

Unref returned pointer with g_object_unref().

since: 3.58

###### camel_vee_summary_dup_subfolders

Returns a new `GHashTable` of the `CamelFolder`-s as the key of all the subfolders for which the `self` has any message info.

since: 3.58

###### camel_vee_summary_get_uids_for_subfolder

Returns a hash table of all virtual message info UID-s known to the `summary`. The key of the hash table is the virtual message info UID, the value is only the number 1.

since: 3.6

###### camel_vee_summary_remove

Removes the given `vuid` of the `subfolder` from the `summary`.

since: 3.58

###### camel_vee_summary_replace_flags

Makes sure `vsummary` flags on `uid` corresponds to those in the subfolder of vee-folder, and updates internal counts on `vsummary` as well.

since: 3.58

###### camel_vee_summary_to_match_index

Converts current content of the `self` into an array of match indexes `CamelStoreSearchIndex`.

since: 3.58

##### Methods inherited from CamelFolderSummary (44)

Please see CamelFolderSummary for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from CamelFolderSummary (7)

###### Camel.FolderSummary:deleted-count

How many deleted infos is saved in a summary.

###### Camel.FolderSummary:folder

The `CamelFolder` to which the folder summary belongs.

###### Camel.FolderSummary:junk-count

How many junk infos is saved in a summary.

###### Camel.FolderSummary:junk-not-deleted-count

How many junk and not deleted infos is saved in a summary.

###### Camel.FolderSummary:saved-count

How many infos is saved in a summary.

###### Camel.FolderSummary:unread-count

How many unread infos is saved in a summary.

###### Camel.FolderSummary:visible-count

How many visible (not deleted and not junk) infos is saved in a summary.

#### Signals

##### Signals inherited from CamelFolderSummary (1)

###### CamelFolderSummary::info-flags-changed

Emitted on call to camel_folder_summary_replace_flags(), when the flags changed.

since: 3.58

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelVeeSummaryClass {
      CamelFolderSummaryClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: CamelFolderSummaryClass`

  No description available.

`reserved: gpointer`

  No description available.